curl --request GET \
--url https://api.getprimo.com/device-groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Return the list of device groups for your company (id, name).
curl --request GET \
--url https://api.getprimo.com/device-groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Page number
1 <= x <= 9007199254740991Number of items per page (max 100)
1 <= x <= 100Was this page helpful?